Index: src/include/pg_config.h.win32
===================================================================
RCS file: /projects/cvsroot/pgsql/src/include/pg_config.h.win32,v
retrieving revision 1.30
diff -c -r1.30 pg_config.h.win32
*** src/include/pg_config.h.win32	7 Jun 2006 22:24:45 -0000	1.30
--- src/include/pg_config.h.win32	24 Jun 2006 16:25:37 -0000
***************
*** 628,634 ****
  /* #undef USE_SSL */
  
  /* Define to select SysV-style semaphores. */
! #define USE_SYSV_SEMAPHORES 1
  
  /* Define to select SysV-style shared memory. */
  #define USE_SYSV_SHARED_MEMORY 1
--- 628,634 ----
  /* #undef USE_SSL */
  
  /* Define to select SysV-style semaphores. */
! /* #undef USE_SYSV_SEMAPHORES */
  
  /* Define to select SysV-style shared memory. */
  #define USE_SYSV_SHARED_MEMORY 1
***************
*** 636,641 ****
--- 636,644 ----
  /* Define to select unnamed POSIX semaphores. */
  /* #undef USE_UNNAMED_POSIX_SEMAPHORES */
  
+ /* Define to select Win32-style semaphores. */
+ #define USE_WIN32_SEMAPHORES
+ 
  /* Number of bits in a file offset, on hosts where this is settable. */
  /* #undef _FILE_OFFSET_BITS */
  
Index: src/include/port.h
===================================================================
RCS file: /projects/cvsroot/pgsql/src/include/port.h,v
retrieving revision 1.92
diff -c -r1.92 port.h
*** src/include/port.h	7 Jun 2006 22:24:45 -0000	1.92
--- src/include/port.h	24 Jun 2006 16:12:01 -0000
***************
*** 246,255 ****
  
  /* open() replacement to allow delete of held files and passing
   * of special options. */
! extern int	win32_open(const char *, int,...);
  
  #ifndef FRONTEND
! #define		open(a,b,c)	win32_open(a,b,c)
  #endif
  
  #define popen(a,b) _popen(a,b)
--- 246,255 ----
  
  /* open() replacement to allow delete of held files and passing
   * of special options. */
! extern int	pgwin32_open(const char *, int,...);
  
  #ifndef FRONTEND
! #define		open(a,b,c)	pgwin32_open(a,b,c)
  #endif
  
  #define popen(a,b) _popen(a,b)
Index: src/pl/plpython/plpython.c
===================================================================
RCS file: /projects/cvsroot/pgsql/src/pl/plpython/plpython.c,v
retrieving revision 1.82
diff -c -r1.82 plpython.c
*** src/pl/plpython/plpython.c	16 Jun 2006 18:42:23 -0000	1.82
--- src/pl/plpython/plpython.c	24 Jun 2006 14:47:41 -0000
***************
*** 6,12 ****
--- 6,20 ----
   *********************************************************************
   */
  
+ #if defined(_MSC_VER) && defined(_DEBUG)
+ /* Python uses #pragma to bring in a non-default libpython on VC++ if
+  * _DEBUG is defined */
+ #undef _DEBUG
  #include <Python.h>
+ #define _DEBUG
+ #else
+ #include <Python.h>
+ #endif
  #include "postgres.h"
  
  /* system stuff */
Index: src/port/open.c
===================================================================
RCS file: /projects/cvsroot/pgsql/src/port/open.c,v
retrieving revision 1.12
diff -c -r1.12 open.c
*** src/port/open.c	5 Mar 2006 15:59:10 -0000	1.12
--- src/port/open.c	27 Apr 2006 19:58:02 -0000
***************
*** 19,25 ****
  #include <fcntl.h>
  #include <assert.h>
  
! int			win32_open(const char *fileName, int fileFlags,...);
  
  static int
  openFlagsToCreateFileFlags(int openFlags)
--- 19,25 ----
  #include <fcntl.h>
  #include <assert.h>
  
! int			pgwin32_open(const char *fileName, int fileFlags,...);
  
  static int
  openFlagsToCreateFileFlags(int openFlags)
***************
*** 54,60 ****
   *	 - handle other flags? (eg FILE_FLAG_NO_BUFFERING/FILE_FLAG_WRITE_THROUGH)
   */
  int
! win32_open(const char *fileName, int fileFlags,...)
  {
  	int			fd;
  	HANDLE		h;
--- 54,60 ----
   *	 - handle other flags? (eg FILE_FLAG_NO_BUFFERING/FILE_FLAG_WRITE_THROUGH)
   */
  int
! pgwin32_open(const char *fileName, int fileFlags,...)
  {
  	int			fd;
  	HANDLE		h;
